Summary: Repository priorities plugin for the yum package manager
Name: yum-plugin-priorities
Version: 0.0.3
Release: 1%{dist}
License: GPL
Group: Development/Tools
Source: %{name}-%{version}.tar.gz
URL: http://www.centos.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: python, yum >= 2.3.4

%description
This plugin is inspired by the protectbase plugin, and enables/disables
packages based on a repository priority between 1 and 99 (1 is the highest
priority, 99 is the lowest and default).  Packages from a lower priority
(higher number, i.e. 99) repository will not replace packages from a higher
priority (lower number, i.e. 1) repository.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

plugins="priorities"
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/

for plug in $plugins; do
    install -m 644 $plug.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
    install -m 644 $plug.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
done

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-, root, root)
%doc README* 
%doc COPYING
%doc ChangeLog 
%{_sysconfdir}/yum/pluginconf.d
/usr/lib/yum-plugins

%changelog
* Wed May 10 2006 Johnny Hughes <johnny@centos.org> - 0.0.3-1
- packaged as an SRPM from tar.gz
- modified the priorities.conf file to check_obsoletes by default.

* Tue May  9 2006 Daniel de Kok <danieldk@pobox.com> - 0.0.3
- Correct a loop operation (s/continue/break/).
- Add a bit more documentation.

* Mon May  8 2006 Daniel de Kok <danieldk@pobox.com> - 0.0.2
- Add the 'check_obsoletes' option, which forces priority protection of
  obsoleted packages.

* Sun May  7 2006 Daniel de Kok <danieldk@pobox.com> - 0.0.1
- Initial release
